%define         git          437b090
%define         gitdate      20151019
%define         major        12
%define         libname      %mklibname yui %{major}-qt
%define         develname    %mklibname yui-qt -d

Name:           libyui-qt
Version:        2.53.0
Release:        %mkrel 6
Summary:        UI abstraction library - Qt plugin
License:        LGPLv2+
Group:          System/Libraries
Url:            https://github.com/libyui/libyui-qt
Source0:        %{name}-%{version}.tar.bz2
#Source0:        https://github.com/libyui/libyui-qt/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:    pkgconfig(libpng)
BuildRequires:    pkgconfig(libyui) >= 3.1.2

BuildRequires:    pkgconfig(Qt5Core)
BuildRequires:    pkgconfig(Qt5Gui)
BuildRequires:    pkgconfig(Qt5Svg)
BuildRequires:    pkgconfig(Qt5Widgets)
BuildRequires:    pkgconfig(Qt5X11Extras)

BuildRequires:    cmake
BuildRequires:    boost-devel
BuildRequires:    doxygen
BuildRequires:    texlive
BuildRequires:    texlive-dist
BuildRequires:    graphviz
BuildRequires:    ghostscript
BuildRequires:    pkgconfig(fontconfig)
Requires:         libyui

%description
%{summary}.

#-----------------------------------------------------------------------

%package -n %libname
Summary:        %{summary}
Group:          System/Libraries
Requires:       libyui
Requires:       %{_lib}qt5x11extras5
Provides:       %{name} = %{version}-%{release}
Provides:       libyui%{major}-qt = %{version}-%{release}

%description -n %libname
This package contains the library needed to run programs
dynamically linked with libyui-qt.

%files -n %libname
%doc COPYING*
%{_libdir}/yui/lib*.so.%{major}{,.*}


#-----------------------------------------------------------------------

%package -n %develname
Summary:        %{summary} header files
Group:          Development/KDE and Qt
Requires:       libyui-devel
Requires:       %{name} = %{version}-%{release}
Provides:       yui-qt-devel = %{version}-%{release}


%description -n %develname
This package provides headers files for libyui-qt development.

%files -n %develname
%{_includedir}/yui
%{_libdir}/yui/lib*.so
%{_libdir}/pkgconfig/libyui-qt.pc
%{_libdir}/cmake/libyui-qt
%doc %{_docdir}/libyui-qt%{major}

#-----------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
./bootstrap.sh
%cmake \
    -DYPREFIX=%{_prefix}  \
    -DDOC_DIR=%{_docdir} \
    -DLIB_DIR=%{_lib}    \
    -DENABLE_DEBUG=1 \
    -DINSTALL_DOCS=yes
%cmake_build
%cmake_build -t docs

%install
%cmake_install

find "%{buildroot}" -name "*.la" -delete


%changelog
* Sat Jan 09 2021 wally <wally> 2.53.0-6.mga8
+ Revision: 1669982
- rebuild with doxygen 1.9.1

* Sat Dec 19 2020 daviddavid <daviddavid> 2.53.0-5.mga8
+ Revision: 1661169
- rebuild for missing pkgs

* Thu Dec 17 2020 umeabot <umeabot> 2.53.0-4.mga8
+ Revision: 1658956
- Rebuild for new Qt5

* Sun Oct 25 2020 akien <akien> 2.53.0-3.mga8
+ Revision: 1639173
- Fix misuse of %%cmake_build macro

* Mon Jun 29 2020 anaselli <anaselli> 2.53.0-2.mga8
+ Revision: 1600493
- arm rebuilding

* Mon Jun 29 2020 anaselli <anaselli> 2.53.0-1.mga8
+ Revision: 1600478
- new 2.53.0

* Fri Mar 27 2020 anaselli <anaselli> 2.52.3-1.mga8
+ Revision: 1561192
- New version 2.52.3
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Mar 31 2019 umeabot <umeabot> 2.49.11-2.mga7
+ Revision: 1383205
- Qt5 Rebuild

* Sun Dec 16 2018 anaselli <anaselli> 2.49.11-1.mga7
+ Revision: 1341819
- new version 2.49.11

* Sun Sep 23 2018 umeabot <umeabot> 2.47.1-4.mga7
+ Revision: 1299290
- Mageia 7 Mass Rebuild

* Thu Jun 07 2018 daviddavid <daviddavid> 2.47.1-3.mga7
+ Revision: 1235102
- add upstream patch to fix build with new Qt5 >= 5.11.0

* Wed Mar 28 2018 daviddavid <daviddavid> 2.47.1-2.mga7
+ Revision: 1212975
- provides libyui%%{major}-qt so packages who depends on it can be
  rebuild if major change (like isodumper)

* Sun Jan 28 2018 anaselli <anaselli> 2.47.1-1.mga7
+ Revision: 1197797
- right documentation position
- version 2.47.1

* Sun Oct 09 2016 anaselli <anaselli> 2.46.26-1.mga6
+ Revision: 1059755
- new 2.46.26

* Sun Jul 03 2016 daviddavid <daviddavid> 2.46.21-4.mga6
+ Revision: 1038537
- fix requires: libqtx11extras5 -> libqt5x11extras5

* Sun Mar 06 2016 anaselli <anaselli> 2.46.21-3.mga6
+ Revision: 986776
- Added a patch to fix YReplacePoint QT behavior

* Mon Feb 15 2016 umeabot <umeabot> 2.46.21-2.mga6
+ Revision: 961244
- Mageia 6 Mass Rebuild

* Mon Oct 19 2015 anaselli <anaselli> 2.46.21-1.mga6
+ Revision: 892805
- new 2.46.21

* Sun Dec 28 2014 anaselli <anaselli> 2.46.13-0.git20140826.3.mga5
+ Revision: 806990
- revert to deleteLater to avoid the crash waiting for an upstream fixing

* Tue Sep 16 2014 umeabot <umeabot> 2.46.13-0.git20140826.2.mga5
+ Revision: 681918
- Mageia 5 Mass Rebuild

* Tue Aug 26 2014 anaselli <anaselli> 2.46.13-0.git20140826.1.mga5
+ Revision: 668493
- aligned to 2.46.13-437b090

* Wed Jul 16 2014 anaselli <anaselli> 2.46.12-0.git20140708.1.mga5
+ Revision: 653327
- Aligned to 2.46.12-9f231c0

* Sun May 25 2014 anaselli <anaselli> 2.46.10-0.git20140525.1.mga5
+ Revision: 626549
- new version 2.46.10

* Sun May 18 2014 anaselli <anaselli> 2.46.8-0.git20140512.1.mga5
+ Revision: 623609
- New version 2.46.8

* Mon Apr 28 2014 anaselli <anaselli> 2.46.7-0.git20140418.3.mga5
+ Revision: 618625
- Fixed missing requirement

* Fri Apr 18 2014 anaselli <anaselli> 2.46.7-0.git20140418.2.mga5
+ Revision: 616879
- new 2.46.7

* Sun Mar 30 2014 anaselli <anaselli> 2.46.3-0.git20140325.2.mga5
+ Revision: 610484
- Added debug symbols

* Sun Mar 30 2014 anaselli <anaselli> 2.46.3-0.git20140325.1.mga5
+ Revision: 610468
- Fixed dependencies
- new version 2.46.3

* Sun Dec 01 2013 matteo <matteo> 2.43.5-0.git20131104.5.mga4
+ Revision: 554476
- add missing br (texlive-dist)
+ anaselli <anaselli>
- updated to upstream/master
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Wed Jul 10 2013 fwang <fwang> 2.43.3-0.git20130630.3.mga4
+ Revision: 452369
- rebuild for new boost

* Sun Jun 30 2013 anaselli <anaselli> 2.43.3-0.git20130630.2.mga4
+ Revision: 448646
- license changed

* Sun Jun 30 2013 anaselli <anaselli> 2.43.3-0.git20130630.1.mga4
+ Revision: 448639
- changed URL
- changed package name to libyuiX-qt (where X is so major version)
- new version 2.43.3

* Fri Jan 18 2013 anaselli <anaselli> 2.42.3-0.git20121227.4.mga3
+ Revision: 389485
- Updated to master

* Sat Jan 12 2013 umeabot <umeabot> 2.42.3-0.git20121227.3.mga3
+ Revision: 358737
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 anaselli <anaselli> 2.42.3-0.git20121227.2.mga3
+ Revision: 341399
- Rebuilt against new libyui

* Thu Dec 27 2012 anaselli <anaselli> 2.42.3-0.git20121227.1.mga3
+ Revision: 335717
- updated to git master

* Tue Nov 27 2012 anaselli <anaselli> 2.42.2-0.git20121126.2.mga3
+ Revision: 322389
- Updated source package

* Tue Nov 27 2012 anaselli <anaselli> 2.42.2-0.git20121126.1.mga3
+ Revision: 322361
- New version from git master (new calendar widget)

* Sat Nov 10 2012 anaselli <anaselli> 2.42.2-0.git20121106.1.mga3
+ Revision: 316867
- Updated to yui master

* Sat Nov 03 2012 anaselli <anaselli> 2.42.2-0.git20121103.1.mga3
+ Revision: 313425
- Updated to https://github.com/anaselli/libyui-qt to add missed functions

* Mon Oct 29 2012 anaselli <anaselli> 2.42.2-0.git20121029.2.mga3
+ Revision: 311537
- Updated to git 20121029, to add missed functionalities

* Sun Sep 16 2012 anaselli <anaselli> 2.42.2-0.git20120908.2.mga3
+ Revision: 294620
- new git version 2.42.2 c3c2e95
- added documentation
- used git date to allow package upgradability

* Sun Jul 22 2012 anaselli <anaselli> 2.42.1-0.git.1fceed4.1.mga3
+ Revision: 273625
- New 2.42.1 from github
+ matteo <matteo>
- spec file reviewed

* Sun Jun 17 2012 matteo <matteo> 2.21.1-1.mga3
+ Revision: 261273
- added missing group definition
- removed unnecessary build requirements
- imported package libyui-qt

